## org.eclipse.emf.ecore.util
Class EContentsEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  org.eclipse.emf.ecore.util.EContentsEList<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, EList<E>, InternalEList<E>

Direct Known Subclasses:
  ECrossReferenceEList

    public class EContentsEList<E>

extends java.util.AbstractSequentialList<E>
implements EList<E>, InternalEList<E>

Nested Class Summary
`static interface` `EContentsEList.FeatureIterator<E>`
`static class` `EContentsEList.FeatureIteratorImpl<E>`
`static interface` `EContentsEList.FeatureListIterator<E>`
`static class` `EContentsEList.ResolvingFeatureIteratorImpl<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary
`static EContentsEList<?>` `EMPTY_CONTENTS_ELIST`
`protected EObject` `eObject`
`protected EStructuralFeature[]` `eStructuralFeatures`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EContentsEList(EObject eObject)`
`EContentsEList(EObject eObject, EStructuralFeature[] eStructuralFeatures)`
`EContentsEList(EObject eObject, java.util.List<? extends EStructuralFeature> eStructuralFeatures)`

Method Summary
`void` `addUnique(int index, java.lang.Object object)` Adds the object without verifying uniqueness.
`void` `addUnique(java.lang.Object object)` Adds the object without verifying uniqueness.
`NotificationChain` `basicAdd(E object, NotificationChain notifications)` Adds the object without updating the inverse.
`E` `basicGet(int index)` Returns the unresolved value.
`java.util.Iterator<E>` `basicIterator()` Returns an iterator that yields unresolved values.
`java.util.List<E>` `basicList()` Returns an unmodifiable list that yields unresolved values.
`java.util.ListIterator<E>` `basicListIterator()` Returns a list iterator that yields unresolved values.
`java.util.ListIterator<E>` `basicListIterator(int index)` Returns a list iterator that yields unresolved values.
`NotificationChain` `basicRemove(java.lang.Object object, NotificationChain notifications)` Removes the object with without updating the inverse.

`static

`<T> EContentsEList<T>`

`

`createEContentsEList(EObject eObject)`

`static

`<T> EContentsEList<T>`

`

`emptyContentsEList()`

`boolean` `isEmpty()`
`protected boolean` `isIncluded(EStructuralFeature eStructuralFeature)`
`protected boolean` `isIncludedEntry(EStructuralFeature eStructuralFeature)`
`java.util.Iterator<E>` `iterator()`
`java.util.ListIterator<E>` `listIterator(int index)`
`E` `move(int newPosition, int oldPosition)` Moves the object from the old position to the new position.
`void` `move(int newPosition, java.lang.Object o)` Moves the object to the new position, if is in the list.
`protected java.util.Iterator<E>` `newIterator()`
`protected java.util.ListIterator<E>` `newListIterator()`
`protected java.util.ListIterator<E>` `newNonResolvingListIterator()`
`protected java.util.ListIterator<E>` `newResolvingListIterator()`
`protected boolean` `resolve()`
`E` `setUnique(int index, E object)` Sets the object without verifying uniqueness.
`int` `size()`
`protected boolean` `useIsSet()`

Methods inherited from class java.util.AbstractSequentialList
`add, addAll, get, remove, set`

Methods inherited from class java.util.AbstractList
`add, clear, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_CONTENTS_ELIST

    public static final EContentsEList<?> EMPTY_CONTENTS_ELIST

### eObject

    protected final EObject eObject

### eStructuralFeatures

    protected final EStructuralFeature[] eStructuralFeatures

Constructor Detail

### EContentsEList

    public EContentsEList(EObject eObject)

### EContentsEList

    public EContentsEList(EObject eObject,
                          java.util.List<? extends EStructuralFeature> eStructuralFeatures)

### EContentsEList

    public EContentsEList(EObject eObject,
                          EStructuralFeature[] eStructuralFeatures)

Method Detail

### emptyContentsEList

    public static <T> EContentsEList<T> emptyContentsEList()

### createEContentsEList

    public static <T> EContentsEList<T> createEContentsEList(EObject eObject)

### newListIterator

    protected java.util.ListIterator<E> newListIterator()

### newResolvingListIterator

    protected java.util.ListIterator<E> newResolvingListIterator()

### newNonResolvingListIterator

    protected java.util.ListIterator<E> newNonResolvingListIterator()

### newIterator

    protected java.util.Iterator<E> newIterator()

### useIsSet

    protected boolean useIsSet()

### resolve

    protected boolean resolve()

### isIncluded

    protected boolean isIncluded(EStructuralFeature eStructuralFeature)

### isIncludedEntry

    protected boolean isIncludedEntry(EStructuralFeature eStructuralFeature)

### listIterator

    public java.util.ListIterator<E> listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Specified by:
    `listIterator` in class `java.util.AbstractSequentialList<E>`

### iterator

    public java.util.Iterator<E> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.util.List<E>`
  Overrides:
    `iterator` in class `java.util.AbstractSequentialList<E>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`
  Specified by:
    `size` in interface `java.util.List<E>`
  Specified by:
    `size` in class `java.util.AbstractCollection<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<E>`
  Specified by:
    `isEmpty` in interface `java.util.List<E>`
  Overrides:
    `isEmpty` in class `java.util.AbstractCollection<E>`

### move

    public void move(int newPosition,
                     java.lang.Object o)

  Description copied from interface: `EList`
  Moves the object to the new position, if is in the list.

  Specified by:
    `move` in interface `EList<E>`
  Parameters:
    `newPosition` - the position of the object after the move.
    `o` - the object to move.

### move

    public E move(int newPosition,
                  int oldPosition)

  Description copied from interface: `EList`
  Moves the object from the old position to the new position.

  Specified by:
    `move` in interface `EList<E>`
  Parameters:
    `newPosition` - the position of the object after the move.
    `oldPosition` - the position of the object before the move.
  Returns:
    the moved object.

### basicGet

    public E basicGet(int index)

  Description copied from interface: `InternalEList`
  Returns the unresolved value.

  Specified by:
    `basicGet` in interface `InternalEList<E>`

### basicList

    public java.util.List<E> basicList()

  Description copied from interface: `InternalEList`
  Returns an unmodifiable list that yields unresolved values.

  Specified by:
    `basicList` in interface `InternalEList<E>`

### basicIterator

    public java.util.Iterator<E> basicIterator()

  Description copied from interface: `InternalEList`
  Returns an iterator that yields unresolved values.

  Specified by:
    `basicIterator` in interface `InternalEList<E>`

### basicListIterator

    public java.util.ListIterator<E> basicListIterator()

  Description copied from interface: `InternalEList`
  Returns a list iterator that yields unresolved values.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`

### basicListIterator

    public java.util.ListIterator<E> basicListIterator(int index)

  Description copied from interface: `InternalEList`
  Returns a list iterator that yields unresolved values.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`

### basicRemove

    public NotificationChain basicRemove(java.lang.Object object,
                                         NotificationChain notifications)

  Description copied from interface: `InternalEList`
  Removes the object with without updating the inverse.

  Specified by:
    `basicRemove` in interface `InternalEList<E>`

### basicAdd

    public NotificationChain basicAdd(E object,
                                      NotificationChain notifications)

  Description copied from interface: `InternalEList`
  Adds the object without updating the inverse.

  Specified by:
    `basicAdd` in interface `InternalEList<E>`

### addUnique

    public void addUnique(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Adds the object without verifying uniqueness.

  Specified by:
    `addUnique` in interface `InternalEList<E>`

### addUnique

    public void addUnique(int index,
                          java.lang.Object object)

  Description copied from interface: `InternalEList`
  Adds the object without verifying uniqueness.

  Specified by:
    `addUnique` in interface `InternalEList<E>`

### setUnique

    public E setUnique(int index,
                       E object)

  Description copied from interface: `InternalEList`
  Sets the object without verifying uniqueness.

  Specified by:
    `setUnique` in interface `InternalEList<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.